Securiser acces distant

Routage de ports, récupération de météo, accès depuis votre smartphone bref tout ce qui permet à Domoticz d'être conecté à Internet se passe ici.
Répondre
Esmax666
Messages : 27
Enregistré le : 29 sept. 2015, 23:51

Securiser acces distant

Message par Esmax666 »

Bonjour,

je n'ai pas tres bien compris dans tuto comment securiser l acces distant

Code : Tout sélectionner

Sécuriser (un peu) l’accès distant.

Notamment que le port 8080 utilisé par Domoticz est du HTTP sans chiffrement ce qui fait que vos éventuels mots de passe circulent en clair sur internet lorsque vous utilisez vos applis pour commander Domoticz. Il me semble donc plus judicieux d’utiliser le port SSL 443 que Domoticz utilise par défaut pour bénéficier du chiffrement et donc de plus de sécurité. On peut donc rediriger le port 8080 de la box vers le port 443 de Domoticz

Une autre solution est de changer le port SSL de Domoticz (mettre 8080 par exemple dans la conf).

Merci à carlito de son commentaire à ce sujet.w
pourriez vous me dire comme changer le port SSL de domoticz ?

de plus quel est la difference entre :
Basic Auth
et Login page ?


merci

patrice
Messages : 1639
Enregistré le : 22 sept. 2014, 21:51

Re: Securiser acces distant

Message par patrice »

Esmax666 a écrit :Bonjour,

je n'ai pas tres bien compris dans tuto comment securiser l acces distant

pourriez vous me dire comme changer le port SSL de domoticz ?
Bsr
oui il faut changer dans les scripts de demarrage de domotic (etc/init.d/domotiz et/ou le script de /home/pi/domoticz/domoticz.sh)
la ligne
DAEMON_ARGS="-daemon -www 8080 -sslwww 443"
par le port que tu veux
de plus quel est la difference entre :
Basic Auth
et Login page ?
Basic-Auth will show a login popup whereas Login-Page will first show a webpage to enter username/password.

Voila
Raspberry Pi model B+, RFXComm,8 interrupteurs Chacon, 5 ds180b 1-Wire, 3 douilles Chacon, 1 contact de porte Chacon, 1 module variateur,module emetteur 54700, Aeon Stick Z-wave, 1 MultiSensor Aeon, accés à distance.
aka thegritche@domoticz forum

Esmax666
Messages : 27
Enregistré le : 29 sept. 2015, 23:51

Re: Securiser acces distant

Message par Esmax666 »

merci patrice :)

ici j ai 2 lignes
DAEMON_ARGS="-daemon -www 8080"
DAEMON_ARGS="-daemon -sslwww 443"

au lieu de
DAEMON_ARGS="-daemon -www 8080 -sslwww 443"

je remplace donc le la 2eme ligne par
DAEMON_ARGS="-daemon -sslwww 8080"?
et la premiere ligne serait alors ensuite inutile?
et changer par exemple par
DAEMON_ARGS="-daemon -www 8081"
pour ne pas voir 2 fois le meme port?

(sur ma box j ai donc redirigé le port 6144 sur le port 8080)

merci encore pour ton aide

jackslayter
Messages : 954
Enregistré le : 30 sept. 2014, 14:40
Localisation : Isère (38)

Re: Securiser acces distant

Message par jackslayter »

non le -www c'est pour ton réseau privé , c'est le http
le -sslwww c'est pour l’extérieur , c'est le https

tu peux tout mettre en ssl ou utiliser les 2

attention, le port 6144 c'est SEULEMENT pour faire discuter plusieurs Domoticz entre eux
Raspberry Pi + RFLink + Domoticz Beta
Oregon - 3x Thgr122Nx / Chacon - micromodule 200w, télécommande 3b et 16b, 2x module 1000w, détecteur de fumée, contact de porte, 2x prise 3500w / OWL - CM180 / TRC02 v2 RGB 3M / Cheap - PIR, contact de porte

Esmax666
Messages : 27
Enregistré le : 29 sept. 2015, 23:51

Re: Securiser acces distant

Message par Esmax666 »

ok donc je dois changer cette ligne par:
DAEMON_ARGS="-daemon -www 8080 -sslwww 456"

et ensuite sur ma box rediriger le port 6144 sur le port 456

le port est également gardé avec une mise a jour de domoticz?

bonne journee :)

vil1driver
Messages : 5317
Enregistré le : 30 janv. 2015, 11:07
Localisation : Rennes (35)

Re: Securiser acces distant

Message par vil1driver »

Lorsque l'on choisi un port il est préférable de prendre une valeur supérieure à 1024.

Par exemple 4443 ;)

Laisse domoticz écouter le 443 (pas de soucis si maj)
Et redirige le port tcp 4443 vers domoticz sur le 443

Et connecte toi comme ceci

Code : Tout sélectionner

https://ton_ip_externe:4443
Et écoute ce qui t'ai dit, oublie le port 6144 !
MAJ = VIDER LE CACHE(<-Clicable)
/!\Les mises à jour de Domoticz sont souvent sources de difficultés, ne sautez pas dessus
modules.lua

Un ex domoticzien

Grincheux

Re: Securiser acces distant

Message par Grincheux »

Nickel , j'en ai profité pour sécuriser aussi de mon côté en SSL avec redirection de port et un bon mot de passe renforcé. :)

Cavas
Messages : 11
Enregistré le : 04 mai 2016, 16:19

Re: Securiser acces distant

Message par Cavas »

Bonjour,

En lisant ce post j'ai essayé de faire de même pour sécuriser mon accès mais je n'ai pas réussi. J'ai remis domoticz.sh comme avant mais deux problèmes se posent :

1) Tout d'abord lorsque je démarre domoticz je vois bien que dans le log il y a un souci avec le SSL

Code : Tout sélectionner

2016-11-10 18:54:23.003 Domoticz V3.5876 (c)2012-2016 GizMoCuz
2016-11-10 18:54:23.003 Build Hash: b97777b, Date: 2016-11-09 12:33:42
2016-11-10 18:54:23.003 Startup Path: /Applications/dev-domoticz/
2016-11-10 18:54:23.010 Sunrise: 04:50:00 SunSet:14:24:00
2016-11-10 18:54:23.010 EventSystem: reset all events...
2016-11-10 18:54:23.012 Active notification subsystems: http (1/12)
2016-11-10 18:54:23.012 WebServer(HTTP) started on address: :: with port 8080
2016-11-10 18:54:23.014 Error: WebServer(SSL) startup failed on address 0.0.0.0 with port: 443: use_certificate_chain_file: No such file or directory
2016-11-10 18:54:23.014 Error: WebServer(SSL) check privileges for opening ports below 1024
2016-11-10 18:54:23.014 Proxymanager started.
2016-11-10 18:54:23.015 Error: Exception starting shared server: bind: Address already in use
2016-11-10 18:54:23.015 RxQueue: queue worker started...
2016-11-10 18:54:24.354 Incoming connection from: ::1
2016-11-10 18:54:25.023 WOL: Started
2016-11-10 18:54:25.024 EventSystem: reset all events...
2016-11-10 18:54:25.024 EventSystem: reset all device statuses...
2016-11-10 18:54:25.024 EventSystem: Started
2016-11-10 18:54:25.525 OpenZWave: Starting...
2016-11-10 18:54:25.525 OpenZWave: Version: 1.4-244-ge9e3fce
2016-11-10 18:54:25.525 OpenZWave: using config in: /Applications/dev-domoticz/Config/
2016-11-10 18:54:25.706 OpenZWave: Driver Ready
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Step Size, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Inc, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Dec, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Level, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: On, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Off, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Step Size, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Inc, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Dec, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Level, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Bright, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SWITCH MULTILEVEL, Label: Dim, Instance: 2
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: SENSOR MULTILEVEL, Label: Power, Instance: 4
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: METER, Label: Energy, Instance: 1
2016-11-10 18:54:25.708 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: METER, Label: Power, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: Alarm Type, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: Alarm Level, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: SourceNodeId, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: Heat, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: Power Management, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 2 (0x02), CommandClass: ALARM, Label: System, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 7 (0x07), CommandClass: SWITCH MULTILEVEL, Label: Level, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 7 (0x07), CommandClass: SWITCH MULTILEVEL, Label: Bright, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 7 (0x07), CommandClass: SWITCH MULTILEVEL, Label: Dim, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 7 (0x07), CommandClass: COLOR, Label: Color, Instance: 1
2016-11-10 18:54:25.709 OpenZWave: Value_Added: Node: 7 (0x07), CommandClass: COLOR, Label: Color Index, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 11 (0x0b), CommandClass: SWITCH BINARY, Label: Switch, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 11 (0x0b), CommandClass: METER, Label: Energy, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 11 (0x0b), CommandClass: METER, Label: Power, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 11 (0x0b), CommandClass: METER, Label: Voltage, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 11 (0x0b), CommandClass: METER, Label: Current, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 12 (0x0c), CommandClass: SWITCH BINARY, Label: Switch, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 12 (0x0c), CommandClass: METER, Label: Energy, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 12 (0x0c), CommandClass: METER, Label: Power, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 12 (0x0c), CommandClass: METER, Label: Voltage, Instance: 1
2016-11-10 18:54:25.710 OpenZWave: Value_Added: Node: 12 (0x0c), CommandClass: METER, Label: Current, Instance: 1
2016-11-10 18:54:29.738 (Z-Stick) Light/Switch (Plafonnier)
2016-11-10 18:54:29.813 (Z-Stick) Usage (Consommation Plafonnier)
2016-11-10 18:54:29.815 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:29.852 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:29.890 (Z-Stick) Usage (Unknown)
2016-11-10 18:54:29.891 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:29.929 OpenZWave: Alarm Level: Secure
2016-11-10 18:54:29.929 (Z-Stick) Light/Switch (Alarm Type)
2016-11-10 18:54:29.931 (Z-Stick) Light/Switch (Alarm Level)
2016-11-10 18:54:29.932 (Z-Stick) Light/Switch (Heat)
2016-11-10 18:54:29.968 OpenZWave: Alarm Level: Secure
2016-11-10 18:54:29.968 (Z-Stick) Light/Switch (Alarm Type)
2016-11-10 18:54:29.974 (Z-Stick) Light/Switch (Alarm Level)
2016-11-10 18:54:29.975 (Z-Stick) Light/Switch (Power Management)
2016-11-10 18:54:30.007 OpenZWave: Alarm Level: Secure
2016-11-10 18:54:30.007 (Z-Stick) Light/Switch (Alarm Type)
2016-11-10 18:54:30.009 (Z-Stick) Light/Switch (Alarm Level)
2016-11-10 18:54:30.010 (Z-Stick) Light/Switch (System)
2016-11-10 18:54:30.450 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:30.488 (Z-Stick) Usage (Unknown)
2016-11-10 18:54:30.495 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:30.526 (Z-Stick) General/Voltage (Tension sur la prise Lampe au sol)
2016-11-10 18:54:30.564 (Z-Stick) Current (Unknown)
2016-11-10 18:54:30.711 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:30.752 (Z-Stick) Usage (Unknown)
2016-11-10 18:54:30.752 (Z-Stick) General/kWh (kWh Meter)
2016-11-10 18:54:30.789 (Z-Stick) General/Voltage (Tension sur la prise Lampadaire)
2016-11-10 18:54:30.827 (Z-Stick) Current (Unknown)
2016-11-10 18:54:30.829 OpenZWave: All Nodes queried
2016-11-10 18:54:34.554 Incoming connection from: 10.0.1.100
Si je comprends bien il lui manque le certificat mais à partir de là je suis largué...



2) J'ai homebridge d'installé pour faire le lien avec homekit mais je crois que mes manips ont mis le boxon et homebridge n'arrive plus à se lancer :

Code : Tout sélectionner

Last login: Thu Nov 10 18:57:22 on ttys001
cavas:~ Florent$ /usr/local/lib/node_modules/homebridge/bin/homebridgemini ; exit;
[2016-11-10 19:03:39] Loaded plugin: homebridge-edomoticz
[2016-11-10 19:03:39] Registering accessory 'homebridge-edomoticz.eDomoticz'
[2016-11-10 19:03:39] Registering platform 'homebridge-edomoticz.eDomoticz'
[2016-11-10 19:03:39] ---
[2016-11-10 19:03:39] Loaded config.json with 0 accessories and 1 platforms.
[2016-11-10 19:03:39] ---
[2016-11-10 19:03:39] Loading 1 platforms...
[2016-11-10 19:03:39] [eDomoticz] Initializing eDomoticz platform...
[2016-11-10 19:03:39] Loading 0 accessories...
[2016-11-10 19:03:39] [eDomoticz] There was a problem connecting to Domoticz.
logout
Saving session...
...copying shared history...
...saving history...truncating history files...
...completed.

[Opération terminée]

Là pareil, je ne vois pas d'où peut venir le problème... Peut-être que cette ligne du log de domoticz y est pour quelque chose ?

Code : Tout sélectionner

2016-11-10 18:54:23.015 Error: Exception starting shared server: bind: Address already in use
Merci de votre aide.

Cavas
Messages : 11
Enregistré le : 04 mai 2016, 16:19

Re: Securiser acces distant

Message par Cavas »

Pardon j'ai oublié de vous joindre le domoticz.sh :

Code : Tout sélectionner

#! /bin/sh
### BEGIN INIT INFO
# Provides:          domoticz
# Required-Start:    $network $remote_fs $syslog
# Required-Stop:     $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Home Automation System
# Description:       This daemon will start the Domoticz Home Automation System
### END INIT INFO

# Do NOT "set -e"

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
DESC="Domoticz Home Automation System"
NAME=domoticz
USERNAME=pi
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

DAEMON=/home/$USERNAME/domoticz/$NAME
DAEMON_ARGS="-daemon"
#DAEMON_ARGS="$DAEMON_ARGS -daemonname $NAME -pidfile $PIDFILE"
DAEMON_ARGS="$DAEMON_ARGS -www 8080"
DAEMON_ARGS="$DAEMON_ARGS -sslwww 443"
#DAEMON_ARGS="$DAEMON_ARGS -log /tmp/domoticz.txt"
#DAEMON_ARGS="$DAEMON_ARGS -syslog"

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

pidof_domoticz() {
    # if there is actually a domoticz process whose pid is in PIDFILE,
    # print it and return 0.
    if [ -e "$PIDFILE" ]; then
        if pidof domoticz | tr ' ' '\n' | grep -w $(cat $PIDFILE); then
            return 0
        fi
    fi
    return 1
}

#
# Function that starts the daemon/service
#
do_start()
{
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --chuid $USERNAME --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
                $DAEMON_ARGS \
                || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
}

case "$1" in
  start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
  reload)
        log_daemon_msg "Reloading $DESC" "$NAME"
        PID=$(pidof_domoticz) || true
        if [ "${PID}" ]; then
                kill -HUP $PID
        fi
        ;;
  restart)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart}" >&2
        exit 3
        ;;
esac

:

ghous
Messages : 7
Enregistré le : 11 janv. 2017, 10:48

Re: Securiser acces distant

Message par ghous »

Suivez la meme discussion dans une autre forum

https://technet.microsoft.com/fr-fr/lib ... s.11).aspx

Répondre